# Retrieve profiles of query

Retrieve the profiles of a query.

Endpoint: GET /audiences/{audienceId}/segments/queries/{queryId}/customers
Version: 1.0.0
Security: TdApikeyAuth

## Security:

  - `TdApikeyAuth` (unknown)
    apiKey in header Authorization

## Path parameters:

  - `audienceId` (integer, required)
    Audience ID of the segment

  - `queryId` (string, required)
    ID of query

## Query parameters:

  - `page` (number)

## Response 200:

  - `200` (unknown)
    successful operation

## Response 200 fields (application/json):

  - `error` (string)
    Error message

  - `names` (array)
    Column names
    Example: ["cdp_customer_id","email"]

  - `queryId` (string)
    ID of query
    Example: 970937b9-98b1-45b1-ba9b-10905846476e

  - `rows` (array)
    Array of profiles

  - `type` (string)
    Enum: "rows", "end", "killed", "error", "pending"

## Response 400:

  - `400` (unknown)
    Given parameters are not valid

## Response 400 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 401:

  - `401` (unknown)
    Unauthorized; You don't provide valid credentials. Maybe you didn't specify valid TD's Master API Key as 'TD1 {Your TD Master API Key}'.

## Response 401 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 403:

  - `403` (unknown)
    Requested resource or action is not allowed because you don't have sufficient permissions

## Response 403 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 404:

  - `404` (unknown)
    The specified resource was not found

## Response 404 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 4XX:

  - `4XX` (unknown)
    There is a high possibility of error of the authentication system. Please check the contents and authority of the key. Please contact the TD support team if you do not resolve it.

## Response 4XX fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 5XX:

  - `5XX` (unknown)
    System error. Because there is a possibility of a temporary error due to network trouble and so on, we recommend several times retry on request side. Please contact the TD support team if you do not resolve it.

## Response 5XX fields (application/json):

  - `status` (integer, required)
    Error status

  - `error` (string, required)
    Error message

  - `details` (string)
    Detailed error message

